Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::bad_media_type Class Reference

Thrown when an unexpected media type is received. More...

`#include <openvrml/bad_url.h>`

Inheritance diagram for openvrml::bad_media_type:
[legend]

List of all members.

## Public Member Functions

| bad_media_type (const std::string &received_type) throw ()
| Construct.
virtual | ~bad_media_type () throw ()
| Destroy.

## Detailed Description

Thrown when an unexpected media type is received.

## Constructor & Destructor Documentation

openvrml::bad_media_type::bad_media_type | ( | const std::string & | received_type | ) | throw ()`[explicit]`

Construct.

Parameters:

  `[in]` | received_type | the media type that was unexpectedly received.

openvrml::bad_media_type::~bad_media_type | ( |  | ) | throw ()`[virtual]`

Destroy.